DevExtreme jQuery/JS - Keyboard Support
An end user can use the following keys to interact with the widget.
Key | Action |
---|---|
↑ or Page Up | Moves focus to the previous radio button. |
↓ or Page Down | Moves focus to the next radio button. |
Home / End | Moves focus to the first/last radio button. |
Enter or Space | Selects the focused radio button. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- let radioGroup = $("#radioGroupContainer").dxRadioGroup("instance");
- radioGroup.registerKeyHandler("backspace", function (e) {
- // The argument "e" contains information on the event
- });
- radioGroup.registerKeyHandler("space", function (e) {
- // ...
- });
- }
See Also
- Call Methods: jQuery | Angular | AngularJS | Knockout | Vue | React | ASP.NET MVC
- RadioGroup Demos
- RadioGroup API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme React - Keyboard Support

An end user can use the following keys to interact with the widget.

Key Action
↑ or Page Up Moves focus to the previous radio button.
↓ or Page Down Moves focus to the next radio button.
Home / End Moves focus to the first/last radio button.
Enter or Space Selects the focused radio button.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { RadioGroup } from 'devextreme-react/radio-group';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.radioGroupRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <RadioGroup ref={this.radioGroupRef} />
  • );
  • }
  •  
  • get radioGroup() {
  • return this.radioGroupRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.radioGroup.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.radioGroup.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also